<template lang="pug">
<div id="header">
    <slot>
        b-button.mr-3(variant="info", @click="openModal") 列表模式
        b-button(variant="success", @click="reset") 重設
        .ml-auto
            b-button.mr-3(variant="info", to="/home/preview") 預覽
            b-button(variant="primary", @click="addTemplate") 發布
        <list_mode/>
    </slot>
</div>
</template>

<script>
import list_mode from "@/components/modal/view/MV-list_mode";
export default {
    methods: {
        reset() {
            this.$store.commit("UPDATE_SECONDARYCOMPONENT", []);
        },
        openModal() {
            this.$bvModal.show("list_mode_modal");
        },
        addTemplate() {
            this.$store.dispatch("addTemplate", 1);
        },
    },
    components: {
        list_mode,
    },
};
</script>

<style lang="scss">
#header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 60px;
    background-color: #fff;
    padding: 10px;
    display: flex;
    justify-content: flex-start;
    align-content: center;
    z-index: 1200;
    box-shadow: 0px 2px 20px rgba($color: #666666, $alpha: 0.2);
}
</style>
